petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCFactorSetLevels

Sets the number of levels of fill to use.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetLevels(PC pc,PetscInt levels)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| levels | - number of levels of fill

### Options Database Key

-pc_factor_levels <levels> -Sets fill level

### Keywords

PC, levels, fill, factorization, incomplete, ILU

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages